Subject: [bug#59661] [PATCH v2 1/3] system: Rename and move %base-packages-disk-utilities.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 04 Dec 2022 16:38:13 -0500

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Rationale: It is only used in INSTALLATION-OS and doesn't make sense to be
>> used in another context, given that file systems now automatically pull their
>> dependencies since commit 45eac6cdf5c8d9d7b0c564b105c790d2d2007799 (services:
>> Add file system utilities to profile).
>>
>> * gnu/system.scm (%base-packages-disk-utilities): Deprecate and rename to...
>> * gnu/system/install.scm (%installer-disk-utilities): ... this.
>> (installation-os) [packages]: Adjust accordingly.
>
> Efraim, this variable was added in
> e6e076281e62518056987e9ddd3d96fccab20475 and used in
> 4170af491c8bc3b0a5308116a26e758d8ff245c5; do you think it’s okay to
> remove now?  (It LGTM, but I’d like to make sure we don’t create churn.)
>
>> +(define-deprecated %base-packages-disk-utilities #f '())
>
> ‘#f’ here would lead to weird deprecation messages.  I’d make it:
>
>   (define-deprecated %base-packages-disk-utilities %base-packages '())
>
> This is not quite accurate but it should convey the idea.

I had shown an actual message example produced when using #f.  It is
what I want (it just mentions the variable is deprecated, and doesn't
mention a replacement -- there are none in this case).  For a quick
reference, this is how 'warn-about-deprecation' is defined:

--8<---------------cut here---------------start------------->8---
(define* (warn-about-deprecation variable properties
                                 #:key replacement)
  (let ((location (and properties (source-properties->location properties))))
    (if replacement
        (warning location (G_ "'~a' is deprecated, use '~a' instead~%")
                 variable replacement)
        (warning location (G_ "'~a' is deprecated~%")
                 variable))))
--8<---------------cut here---------------end--------------->8---

So I prefer my version.  If you still think the produced message is
weird, I'll need a bit more explanation to understand why you think so
:-).

-- 
Thanks,
Maxim